commit:     19a503a98fa10c159c3295a15bd80880371c214d
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Fri Oct 17 14:23:04 2014 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Oct 17 14:23:04 2014 +0000
URL:        
http://sources.gentoo.org/gitweb/?p=dev/graaff.git;a=commit;h=19a503a9

Version bump.

Package-Manager: portage-2.2.8-r2

---
 dev-ruby/authlogic/ChangeLog              |  5 ++++
 dev-ruby/authlogic/Manifest               |  1 +
 dev-ruby/authlogic/authlogic-3.4.3.ebuild | 49 +++++++++++++++++++++++++++++++
 3 files changed, 55 insertions(+)

diff --git a/dev-ruby/authlogic/ChangeLog b/dev-ruby/authlogic/ChangeLog
index 0b32ee5..35009a7 100644
--- a/dev-ruby/authlogic/ChangeLog
+++ b/dev-ruby/authlogic/ChangeLog
@@ -1,6 +1,11 @@
 # ChangeLog for dev-ruby/authlogic
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 
+*authlogic-3.4.3 (17 Oct 2014)
+
+  17 Oct 2014; Hans de Graaff <[email protected]> +authlogic-3.4.3.ebuild:
+  Version bump.
+
   17 Oct 2014; Hans de Graaff <[email protected]> -authlogic-2.1.6-r2.ebuild,
   -authlogic-3.2.0.ebuild, -authlogic-3.3.0.ebuild:
   Cleanup.

diff --git a/dev-ruby/authlogic/Manifest b/dev-ruby/authlogic/Manifest
index 8ef0151..82eb294 100644
--- a/dev-ruby/authlogic/Manifest
+++ b/dev-ruby/authlogic/Manifest
@@ -1,3 +1,4 @@
 DIST authlogic-3.4.0.gem 67072 SHA256 
95628bd02245bf17dad5f2989063f360e910df602f7b6e61e885ecfbc0edf76a SHA512 
6b9df03e810481c7764e83ca0ea832a0dab4b9dd590e5fcd276fafb1d52df63b80e4289658f9eae9242c738634a244ffce2e3b583923ef1d40af393a7fb3ae54
 WHIRLPOOL 
7de41ef238cc6ef992cda537d659b30f61559f35d651498beebde7b3fdb54b85874e6f37f3f82f87d7a0d0ea7349d9c41c38a598a4ab6b5a75f169283bedaef1
 DIST authlogic-3.4.1.gem 67584 SHA256 
e88c7b050a1c139d629b316d17e3778de819354a57a46638546617c1c59022ce SHA512 
e1f47121366d40ad8f5aa7943e97754b16a7dcc1f0c17b3c6d4582e8b2f0a5e23ca6b3af5196fd73185eb61f32af46f0b448cf1cb3a777b654d2e66bee4dde2b
 WHIRLPOOL 
ee1b526a630f6788df4f55f1ef166b7344cff1b4759b4d14fe02f19e6da72f7ca1084443610715030941c4480f7008fc147dd39706d183c6f3db8201a8608f27
 DIST authlogic-3.4.2.gem 67584 SHA256 
4d58ad67c818df29ffac477a37c6ac1dbcc99494dab072ea342e85f39172a60e SHA512 
aab89cd9110a3be22de57bad8330a42b57d6d45d8bc402dbbfd18406f139dc69626a07ee9a158445dde14d3bcd9c19c85a7d2274dc475792c8f55d4a70899ccd
 WHIRLPOOL 
fd1c5d49a4553ae7cdeebad08071b2e09a75dcfc2899e36b31aea48f81f71e780efbbadbbbd5005704e782a8549c6698b61ee2740afb81ce471df48d8a93ecda
+DIST authlogic-3.4.3.gem 67584 SHA256 
bc18670f15bc772f7c583073a19c4b1e32e439a84d819152d1f6511f2044d523 SHA512 
5e9d30a84e7b316795c0f1c549d2c94ee883d87b3cc5a622882fb0e3da22f023fd8dc8f7643268ced7ac31873df800355cf01eb4c8e480235c5162aeda5f2e7c
 WHIRLPOOL 
ae8f640197cba327637790141b47d65a4b0c46eb48d7482351e52bf5753e75852bb029c62bd74ffb5f1fcf0cade548290f3e882be03c6a4e7cc5ffcc55218648

diff --git a/dev-ruby/authlogic/authlogic-3.4.3.ebuild 
b/dev-ruby/authlogic/authlogic-3.4.3.ebuild
new file mode 100644
index 0000000..da0dd2b
--- /dev/null
+++ b/dev-ruby/authlogic/authlogic-3.4.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header:  $
+
+EAPI=5
+
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A clean, simple, and unobtrusive ruby authentication solution."
+HOMEPAGE="http://github.com/binarylogic/authlogic";
+LICENSE="Ruby"
+
+KEYWORDS="~amd64"
+SLOT="3"
+IUSE=""
+
+# Now requires scrypt but this is not packaged yet, see below.
+RESTRICT="test"
+
+ruby_add_rdepend ">=dev-ruby/activerecord-3.2
+       >=dev-ruby/activesupport-3.2
+       >=dev-ruby/request_store-1.0.5"
+ruby_add_bdepend "test? ( >=dev-ruby/bcrypt-ruby-3.1.5 dev-ruby/sqlite3 )"
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/I s:^:#:' Rakefile || die
+
+       #sed -i -e '/ruby-debug/d' test/test_helper.rb || die
+
+       # Avoid test for a crypt provider we don't package. Also test with
+       # bcrypt rather than scrypt. SCrypt is not easy to install due to a
+       # very weird build system.
+       sed -i -e 's/SCrypt/BCrypt/' test/fixtures/users.yml 
test/acts_as_authentic_test/password_test.rb || die
+       rm test/crypto_provider_test/scrypt_test.rb 
test/acts_as_authentic_test/{password,persistence_token}_test.rb || die
+
+       # Use a version of minitest compatible with rails
+       sed -i -e '2igem "minitest", "~> 4.0"' test/test_helper.rb || die
+
+       # Don't depend on scrypt since we don't use it and it is hard to
+       # package.
+       sed -i -e '/scrypt/d'  ${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to